<section class="MyGigs gray_bg">
  <div class="container">
    <div class="row">
      <div class="col-md-6 nopaddin_mobile">
          <h2 class="GigList_Heading">Manage Request</h2>
      </div>
  </div>
    <div class="row">
      <div class="col-md-12 nopaddin_mobile">
        <!-- <a href="#" class="btn btn-success btn-sm create_new_gig_button">Create New Gig</a> -->
        <div class="tabbable-panel">
          <div class="tabbable-line">
            <ul class="nav nav-tabs bg_color_tabs">
              <!-- <li >
                      <a href="#tab_default_1" class="active" data-toggle="tab">ALL <span class="badge badge-success custom_badge">{{allCount}}</span></a>
                  </li> -->
              <li>
                <a href="#tab_default_1" data-toggle="tab" class="active"
                  (click)="onTabChange(1,'active_orders')">ACTIVE <span
                    class="badge custom_badge">{{activeCount}}</span></a>
              </li>
              <li>
                <a href="#tab_default_2" data-toggle="tab" (click)="onTabChange(2,'pending')">PENDING <span
                    class="badge custom_badge">{{pendingCount}}</span></a>
              </li>
              <li>
                <a href="#tab_default_3" data-toggle="tab" (click)="onTabChange(6,'unapproved')">UNAPPROVED <span
                    class="badge custom_badge">{{unapprovedCount}}</span></a>
              </li>
              <a [routerLink]="'/post_a_request'" class="btn btn-success btn-sm create_new_gig_button postARequest_ntn">
              Post a Request
              </a>
            </ul>
            <div class="tab-content">
              <div [attr.class]="activeTab=='active_orders'?'tab-pane active':'tab-pane'" id="tab_default_1">
                <div class="row mb-2">
                  <div class="col-md-8 nopaddin_mobile">
                    <h5>ACTIVE ORDERS</h5>
                  </div>

                </div>
                <app-buyer_manage_request_common *ngIf="activeTab=='active_orders'" [requestStatusId]="2"></app-buyer_manage_request_common>
              </div>
              <div [attr.class]="activeTab=='pending'?'tab-pane active':'tab-pane'" id="tab_default_2">
                <div class="row mb-2">
                  <div class="col-md-8 nopaddin_mobile">
                    <h5>PENDING</h5>
                  </div>

                </div>
                <app-buyer_manage_request_common *ngIf="activeTab=='pending'" [requestStatusId]="1"></app-buyer_manage_request_common>
              </div>
              <div [attr.class]="activeTab=='unapproved'?'tab-pane active':'tab-pane'" id="tab_default_3">
                <div class="row mb-2">
                  <div class="col-md-8 nopaddin_mobile">
                    <h5>UNAPPROVED</h5>
                  </div>

                </div>
                <app-buyer_manage_request_common *ngIf="activeTab=='unapproved'" [requestStatusId]="3"></app-buyer_manage_request_common>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>